User
 Forgot password?
 Register
Search
Post time 2012-8-17 10:08:10
can you help me please? how to make a screw thread in zwcad 2011? Any way for making a screw thread? helix command is unavailable.
Post time 2012-8-21 14:37:58
Hi, it's a little tricky:
1. draw 2 half-circle, which forms a complete circle
2. ROTATE3D command, rotate one of them 5 degree(as you like), and the other -5 degree(different direction), keep them stick together at one endpoint
3. draw the section plan object you want, such as a small circle, then SWEEP the small circle along the rotated path, it will become a period of pipe.
4. copy them to make as long as you want
Post time 2012-8-22 10:29:18
Reply 1# x01807376659

A lisp routine from internet:


  1. (defun c:helix()
  2.   (setq spin -1); -1=CW, 1=CCW
  3.   (setq ri (getreal "Base radius: ") rf (getreal "Top radius: "))
  4.   (initget (+ 1 4))
  5.   (setq h (getreal "Height: "))
  6.   (initget (+ 1 2 4))
  7.   (setq tu (getreal "Number of turns: "))
  8.   (setq segs (getint "Number of segments per turn <20>: ")); more=smoother
  9.   (if (= segs nil)(setq segs 20))
  10.   (setq old (getvar "osmode"))
  11.   (setvar "cmdecho" 0)  
  12.   (setq fi1 (/ (* 2 PI) segs) i 0)
  13.   (setq points (fix (* tu segs))
  14.    h1 (/ h points) r1 (/ (- rf ri) points)
  15.    s (getpoint "Center of base: ")
  16.    end (list (car s) (cadr s) (+ h (caddr s))))
  17.   (setvar "osmode" 0 )
  18.   (command "line" s end "")
  19.   (command "chprop" "l" "" "c" 1 "")
  20.   (command "3dpoly")
  21.   (setq i 0)
  22.   (repeat (1+ points)
  23.     (setq fi (* i fi1) h (* i h1) r (+ ri (* i r1)))
  24.     (setq x (* r (cos fi)) y (* spin r (sin fi)))
  25.     (command (list (+ (car s) x) (+ (cadr s) y) (+ (caddr s) h)))
  26.     (setq i (1+ i)))
  27.   (command "")
  28.   (setvar "osmode" old))
  29. (princ "\nRoutine loaded. Type HELIX at the command prompt.")
  30. (princ)
Copy the Code



This program can run on ZWCAD+
Post time 2012-8-22 10:51:00
how can i join the 2 arcs (2 half-circle)? tje "join" command doesn't work.
Post time 2012-8-22 10:53:45
i don't know how to do this. i'm a newbie.

"A lisp routine from internet: "
Post time 2012-8-22 15:20:01
[i=s] Post Last Edit by huangy8949 at 2012-8-22 15:23

Copy the codes and paste to a txt file, save and close the file, change file extension from .txt to .lsp. Then open ZWCAD+, run command APPLOAD and browse to the lsp file you just make, load this lisp file to ZWCAD+, then run command HELIX, follow the prompt to draw the helix.
Post time 2012-8-22 16:43:26
thank you very much. it helped me much.
Post time 2012-8-27 14:58:53
You're very welcome, sir!


Find the features of the latest version of ZWCAD+:
http://www.zwsoft.com/zwcad/ZWCAD_Overview/
New
You have to log in before you can reply Login | Register